#
# spec file for package perl-AnyEvent-I3
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           perl-AnyEvent-I3
Version:        0.16
Release:        4.5
%define cpan_name AnyEvent-I3
Summary:        communicate with the i3 window manager
License:        GPL-1.0+ or Artistic-1.0
Group:          Development/Libraries/Perl
Url:            http://search.cpan.org/dist/AnyEvent-I3/
Source:         http://www.cpan.org/authors/id/M/MS/MSTPLBG/%{cpan_name}-%{version}.tar.gz
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(AnyEvent)
BuildRequires:  perl(AnyEvent::Handle)
BuildRequires:  perl(AnyEvent::Socket)
BuildRequires:  perl(JSON::XS)
Requires:       perl(AnyEvent)
Requires:       perl(AnyEvent::Handle)
Requires:       perl(AnyEvent::Socket)
Requires:       perl(JSON::XS)
%{perl_requires}

%description
communicate with the i3 window manager

%prep
%setup -q -n %{cpan_name}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{__make} %{?_smp_mflags}

%check
%{__make} test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc Changes README

%changelog
* Tue Apr 14 2015 coolo@suse.com
- updated to 0.16
  see /usr/share/doc/packages/perl-AnyEvent-I3/Changes
  0.16    2014-10-03
  * support the barconfig_update and binding event
* Wed May 15 2013 coolo@suse.com
- updated to 0.15
  * support the window event
  * support the mode event
* Tue Sep  4 2012 coolo@suse.com
- updated to 0.13
  * support the GET_VERSION request with a fall-back to i3 --version
  * taint mode fix: remove relative directories from $ENV{PATH}
  * taint mode fix for FreeBSD
* Mon Apr 30 2012 cfarrell@suse.com
- license update: Artistic-1.0 or GPL-1.0+
  See README
* Fri Apr 27 2012 coolo@suse.com
- initial package 0.09
  * created by cpanspec 1.78.06
